{% extends "base.html" %}
{% block title %}Listado TFGs{% endblock %}
{% block body %}
    {{ super() }}

    <label class="my-1 mr-2"><b>Opciones de filtrado</b></label>

    <form action = "" method = "post">
        <div class="form-group boxed" id="box_filtro">  
            <div class="form-inline" id="form_filtro">
                <label class="my-1 mr-2">Grado: </label>
                <div class="btn-group btn-group-toggle" data-toggle="buttons" id="botonesGrado">
                    <label class="btn btn-secondary active">
                        <input type="radio" name="grado" id="gii" autocomplete="off" checked> GII
                    </label>
                    <label class="btn btn-secondary">
                        <input type="radio" name="grado" id="gitst" autocomplete="off"> GITST
                    </label>        
                </div>

                <label class="ml-4 my-1 mr-2">Tecnologías: [GII] </label>
                    <fieldset id="gii_techs">                          
                        <input type="checkbox" id="CO_checkbox" name="tecnologias" value="CO" checked> CO      
                        <input type="checkbox" id="IS_checkbox" name="tecnologias" value="IS" checked> IS      
                        <input type="checkbox" id="SI_checkbox" name="tecnologias" value="SI" checked> SI      
                        <input type="checkbox" id="IC_checkbox" name="tecnologias" value="IC" checked> IC                  
                        <input type="checkbox" id="TI_checkbox" name="tecnologias" value="TI" checked> TI                                
                    </fieldset>
                
                    <label class="ml-4 my-1 mr-2">[GITST]</label>
                        <fieldset id="gitst_techs">
                            <input type="checkbox" id="EL_checkbox" name="tecnologias" value="EL"> EL      
                            <input type="checkbox" id="RA_checkbox" name="tecnologias" value="RA"> RA      
                            <input type="checkbox" id="SE_checkbox" name="tecnologias" value="SE"> SE
                            <input type="checkbox" id="TE_checkbox" name="tecnologias" value="TE"> TE                                         
                        </fieldset>    
                        
                <label class="ml-4 my-1 mr-2"><b>Estado: </b></label>                
                    <select class="custom-select my-1 mr-sm-2" name="estado">                                          
                        <option value="0" selected>Disponible</option>
                        <option value="1">Asignado</option>
                        <option value="4">Defendido</option>                  
                        <option value="-1">Todos</option>                  
                    </select>  

                
                    <button class="btn btn-primary" type="submit" name="btn_estado">Aplicar</button>
                
            </div>
        </div>
    </form>

    <!--  https://mdbootstrap.com/content/bootstrap-table-pagination -->
    <!--Table-->
        <table id="tableListadoTFG" class="table">
        <!--Table head-->
        <thead>
            <tr>
            <th>ID</th>
            <th>Título</th>
            <th>Tutor</th>            
            </tr>
        </thead>
        <!--Table head-->
        <!--Table body-->
        <tbody>
            {% for tfg, user in tfgs %}
                {% if tfg.estado == 0 %}
                <tr style="background-color:rgb(218, 247, 166)">
                    {% elif tfg.estado == 1 %}
                    <tr style="background-color:rgb(154, 254, 189)">
                    {% elif tfg.estado == 2 %}
                    <tr style="background-color:rgb(254, 192, 154)">
                    {% elif tfg.estado == 3 %}
                    <tr style="background-color:rgb(254, 154, 154)">
                    {% elif tfg.estado == 4 %}
                    <tr style="background-color:rgb(186, 154, 254)">
                    {% elif tfg.estado == 5 %}
                    <tr style="background-color:rgb(154, 210, 254)">
                    {% elif tfg.estado == 6 %}
                    <tr style="background-color:rgb(154, 254, 236)">
                    {% else %}
                    <tr style="background-color:rgb(165, 254, 154)">
                    {% endif %}
                    <th scope="row">{{ tfg.codigo }}</th>
                    <td><a href="detalleTFG?tfg_codigo={{ tfg.codigo }}">{{ tfg.titulo }}</a></td>                    
                    <td>{{ user.nombre }} {{ user.apellido1 }}</td>                
                </tr>
            {% else %}
                <li><em>No existen TFGs definidos</em></li>
            {% endfor %}                       
        </tbody>
        <!--Table body-->
        </table>
    <!--Table-->    

    <script>        
        $('#botonesGrado input').on("click change", function() {
            /* Mejorar esto */
            /* Si se ha pulsado GII, marcar todos los selectores de GII */
            if ( this.id == 'gii' ){
                document.getElementById("IS_checkbox").checked = true;
                document.getElementById("SI_checkbox").checked = true;
                document.getElementById("TI_checkbox").checked = true;
                document.getElementById("CO_checkbox").checked = true;
                document.getElementById("IC_checkbox").checked = true;

                document.getElementById("EL_checkbox").checked = false;
                document.getElementById("RA_checkbox").checked = false;
                document.getElementById("SE_checkbox").checked = false;
                document.getElementById("TE_checkbox").checked = false;                
            }
            else {
                document.getElementById("IS_checkbox").checked = false;
                document.getElementById("SI_checkbox").checked = false;
                document.getElementById("TI_checkbox").checked = false;
                document.getElementById("CO_checkbox").checked = false;
                document.getElementById("IC_checkbox").checked = false;

                document.getElementById("EL_checkbox").checked = true;
                document.getElementById("RA_checkbox").checked = true;
                document.getElementById("SE_checkbox").checked = true;
                document.getElementById("TE_checkbox").checked = true;                
            }     
        });
             
    </script>
{% endblock %}